Skip to main content
GET
Retrieve a message

Authorizations

asapp-api-id
string
header
required
asapp-api-secret
string
header
required

Path Parameters

conversationId
string
required

The identifier for a conversation.

Pattern: ^[A-Z0-9]+$
messageId
string
required

Internal message identifier from ASAPP

Pattern: ^[A-Z0-9]+$

Response

Successfully fetched message from a conversation

Response for GetMessage

text
string
required

Text sent

Minimum string length: 1
sender
object
required

A participant within a conversation

messageId
string
required

The identifier of the message.

Minimum string length: 1
createdTimestamp
string<date-time>
required

The time when the message object was created in the ASAPP system.

clientTimestamp
string<date-time>
required

The timestamp of when the message was sent.